<?php
  
  include('db_con.php');
  include('function.php');
  
  if (isset($_SESSION['user_id'])) {
    $user_type = $_SESSION['user_type'];
    $user_id = $_SESSION['user_id'];
    $user_name = $_SESSION['user_name'];
    $branch_id = $_SESSION['branch_id'];
    $branch_name = $_SESSION['branch_name'];
    $store_id = $_SESSION['store_id'];
    $store_name = $_SESSION['store_name'];
    $user_acc_no = $_SESSION['user_acc_no'];
}else{
  header('Location: login');
  die();
}
$dated = date('Y-m-d');
            
 
$rec_id = $_GET["id"];
$ref_id = $rec_id;
 
  
  ?>
<!DOCTYPE html>
<html>
<head>
  <title><?php echo basename(__FILE__, '.php'); ?></title>
  <?php include('include/head.php'); ?>
  <link rel="stylesheet" href="css/datepicker.css">
  <link rel="stylesheet" href="css/jquery.datetimepicker.css">
  <link rel="stylesheet" href="css/jquery.datetimepicker.min.css">
  <link rel="stylesheet" href="css/jquery.jquery-ui.min.css">
  
  
</head>
<body>
  <?php include('include/header.php'); ?>
  <?php include('include/sidebar.php'); ?>
<div class="main-container">
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Receivables</a></li>
              <li class="breadcrumb-item"><a href="ar_cash_receipt.php">Cash Receipt</a></li>
              <li class="breadcrumb-item active">New Cash Receipt Voucher </li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
     <span id="alert_action"></span>
            <?php
    
if(isset($_GET["update"]) && isset($_GET["id"]))
      {
        $rec_id = $_GET["id"];
        $statement = $connect->prepare("
          SELECT r.dated, r.description, r.cust_id,r.chq_no,r.chq_date,r.pay_status,r.cust_id,a.acc_name name,r.acc_no,b.acc_name bank_name,r.amount FROM rec_voucher r,accounts a,accounts b
            WHERE r.cust_id=a.acc_no and r.acc_no=b.acc_no and rec_id = :rec_id
            LIMIT 1
        ");
        $statement->execute(
          array(
            ':rec_id'       =>  $_GET["id"]
            )
          );
        $result = $statement->fetchAll();
        foreach($result as $row)
        {
          
        ?>
        <script src="vendors/scripts/script.js"></script>
        <script>
        $(document).ready(function(){
          
          $('#dated').val("<?php echo $row["dated"]; ?>");
          $('#description').val("<?php echo $row["description"]; ?>");
          $('#cust_id').val("<?php echo $row["cust_id"]; ?>");
           $('#chq_no').val("<?php echo $row["chq_no"]; ?>");
            $('#chq_date').val("<?php echo $row["chq_date"]; ?>");
             $('#pay_status').val("<?php echo $row["pay_status"]; ?>");
          $('#amount').val("<?php echo $row["amount"]; ?>");
         $('.select2').select2();
          
        });
        </script>
          
       <form method="post" id="data_form">
      <br />
      
        <div class="table-responsive">
          <table class="table table-bordered">
            <tr>
              <td colspan="2" align="center"><h2 style="margin-top:10.5px">Edit Cheque Receipt Detail</h2></td>
            </tr>
            <tr>
                <td colspan="2">
                  <div class="row">
                    <div class="col-md-4">  
                      <input type="text" name="dated" id="dated" class="form-control input-sm" readonly AutoComplete="off" required />
                 
    
                 
                  
                  
                    </div>
                    <div class="col-md-8">
                 <input type="text" name="description" id="description" class="form-control input-sm description" placeholder="Description" autocomplete="off" />
                   <br />
                   
                    
                     
                    
                    </div>
                  </div>
                   
               
                  
                  <table width="100%"id="item-table" class="table table-bordered">
                   <tr>
                      <th width="5%">Sr#.</th>
                      <th width="25%">From Customer</th>
                      <th width="20%">To Account</th>
                     <th width="10%">Chq No.</th> 
                     <th width="12%">Chq Date</th>
                     <th width="13%">Status</th>
                      <th width="10%">Amount</th>
                      <th width="5%"></th>
                      
                      
                    </tr>
                   
                      <tr>
                      <td><span id="sr_no">1</span></td>
                      
                      <td><select name="cust_id" id="cust_id" class="form-control input-sm cust_id  select2" required />
                        <option value="<?php echo $row["cust_id"]; ?>"><?php echo $row["name"]; ?>
                        <?php echo fill_accounts($connect);?>
                        </select></td>
                          <td><select name="acc_no" id="acc_no" class="form-control input-sm acc_no  select2" required />
                        <option value="<?php echo $row["acc_no"]; ?>"><?php echo $row["bank_name"]; ?>
                        <?php echo fill_bank($connect);?>
                        </select></td>
                      <td><input type="text" name="chq_no" id="chq_no" class="form-control input-sm number_only chq_no" placeholder="chq_no" /></td>
                      <td><input type="text" name="chq_date" id="chq_date" class="form-control input-sm number_only chq_date" placeholder="chq_date" readonly /></td>
                       <td><select name="pay_status" id="pay_status" class="form-control pay_status" required><option value="Not Cleared">Not Cleared</option><option value="Cleared">Cleared</option></select></td>
                      <td><input type="text" name="amount" id="amount" class="form-control input-sm number_only amount" placeholder="amount" /></td>
                   </tr>
                   <?php
                 }
                 ?>
                    
                  </table>
                 
                  <div align="left">
                    <span>Balance : </span><span id="acc_balance"></span>
                  </div>
                  </td>
                  </tr>
                
             
              <tr>
                <td width="70%" align="right"><b>Total : <b></td><td align="right"><span id="total_amount"></span></b></td>
               
                </tr>
              <tr>
                <td colspan="2"></td>
              </tr>
             
              <tr>
                <td colspan="2" align="center">
                  <input type="hidden" name="total_item" id="total_item" value="0" />
                  <input type="hidden" name="btn_action" id="btn_action" />
                  <input type="hidden" name="rec_id" id="rec_id" value="<?php echo $rec_id;?>" />
                  <input type="submit" name="btn_save" id="btn_save" class="form-control btn btn-primary" value="Update" />
                </td>
              </tr>
          </table>
        </div>
      </form>
    
      </div>
             
        
        
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
 
  <!-- /.content-wrapper -->
 
    </div>
    </div>
  
  
  <script src="js/jquery-ui.js"></script>
  <script src="js/jquery-ui.min.js"></script>
  
  
  
</body>
</html>

 <script>
 
  $(document).ready(function(){
    $(window).keydown(function(event){
    if(event.keyCode == 13) {
    
      event.preventDefault();
    }
  });
    $('#dated').datepicker({
      dateFormat: 'yy-mm-dd',
      changeMonth: true,
      changeYear: true
    });
     $('#chq_date').datepicker({
      dateFormat: 'yy-mm-dd',
      changeMonth: true,
      changeYear: true
    });
  })
  
  </script>
 <script type="text/javascript">
      $(document).ready(function(){
        var final_total_amt = $('#total_amount').text();
        var count = 0;
        
       
        $(document).on('blur', '.cust_id', function(){
        var acc_no = $('#cust_id'+count).val();
    
   
    
    $.ajax({
      url:"acc_balance.php",
      method:"POST",
      data:{acc_no:acc_no},
      dataType:"json",
      success:function(data)
      {       
        
        $('#acc_balance').html(data.acc_balance);
        
        
      }
    })
  });
        
        function cal_final_total(count)
        {
        
          var total_amount = 0;
         
          
          for(j=1; j<=count; j++)
          {
            
            
       
            var amount = $('#amount'+j).val();
           
            
            
            
           
            
            
        
            if(amount > 0)
            {
              total_amount = parseFloat(total_amount) + parseFloat(amount);
              
             
               
             
            }
            
          
            
          }
          
        
          $('#total_amount').text(total_amount);
        }
        
        $(document).on('submit', '#data_form',function(event){
            event.preventDefault();
              cal_final_total(count);
              
            $('#btn_save').val('Wait...');
            $('#btn_save').attr('disabled','disabled');
            $('#btn_action').val('update');
            var _data = $(this).serialize();
            $.ajax({
              url:"ar_cheque_receipt_action.php",
              method:"POST",
              data:_data,
              success:function(data)
              {
               $('#alert_action').fadeIn().html('<div class="alert alert-success">'+data+'</div>');
               
                window.location = "ar_cheque_receipt";
              }
            })
          });
        
        $(document).on('blur', '.amount', function(){
          cal_final_total(count);
         
        });
   });     
</script>
  <?php
}
?>
